std::numeric_limits< long double > Struct Reference

`#include <limits>`

## Static Public Member Functions

static constexpr long double | denorm_min () noexcept
static constexpr long double | epsilon () noexcept
static constexpr long double | infinity () noexcept
static constexpr long double | lowest () noexcept
static constexpr long double | max () noexcept
static constexpr long double | min () noexcept
static constexpr long double | quiet_NaN () noexcept
static constexpr long double | round_error () noexcept
static constexpr long double | signaling_NaN () noexcept

## Static Public Attributes

static constexpr int | digits
static constexpr int | digits10
static constexpr float_denorm_style | has_denorm
static constexpr bool | has_denorm_loss
static constexpr bool | has_infinity
static constexpr bool | has_quiet_NaN
static constexpr bool | has_signaling_NaN
static constexpr bool | is_bounded
static constexpr bool | is_exact
static constexpr bool | is_iec559
static constexpr bool | is_integer
static constexpr bool | is_modulo
static constexpr bool | is_signed
static constexpr bool | is_specialized
static constexpr int | max_digits10
static constexpr int | max_exponent
static constexpr int | max_exponent10
static constexpr int | min_exponent
static constexpr int | min_exponent10
static constexpr int | radix
static constexpr float_round_style | round_style
static constexpr bool | tinyness_before
static constexpr bool | traps

## Detailed Description

numeric_limits<long double> specialization.

Definition at line 1818 of file limits.

## Member Function Documentation

## denorm_min()

static constexpr long double std::numeric_limits< long double >::denorm_min | ( |  | ) |

inline static constexpr noexcept

Definition at line 1873 of file limits.

## epsilon()

static constexpr long double std::numeric_limits< long double >::epsilon | ( |  | ) |

inline static constexpr noexcept

Definition at line 1845 of file limits.

## infinity()

static constexpr long double std::numeric_limits< long double >::infinity | ( |  | ) |

inline static constexpr noexcept

Definition at line 1864 of file limits.

## lowest()

static constexpr long double std::numeric_limits< long double >::lowest | ( |  | ) |

inline static constexpr noexcept

Definition at line 1830 of file limits.

## max()

static constexpr long double std::numeric_limits< long double >::max | ( |  | ) |

inline static constexpr noexcept

Definition at line 1826 of file limits.

## min()

static constexpr long double std::numeric_limits< long double >::min | ( |  | ) |

inline static constexpr noexcept

Definition at line 1823 of file limits.

## quiet_NaN()

static constexpr long double std::numeric_limits< long double >::quiet_NaN | ( |  | ) |

inline static constexpr noexcept

Definition at line 1867 of file limits.

## round_error()

static constexpr long double std::numeric_limits< long double >::round_error | ( |  | ) |

inline static constexpr noexcept

Definition at line 1848 of file limits.

## signaling_NaN()

static constexpr long double std::numeric_limits< long double >::signaling_NaN | ( |  | ) |

inline static constexpr noexcept

Definition at line 1870 of file limits.

## Member Data Documentation

## digits

constexpr int std::numeric_limits< long double >::digits

static constexpr

Definition at line 1833 of file limits.

## digits10

constexpr int std::numeric_limits< long double >::digits10

static constexpr

Definition at line 1834 of file limits.

## has_denorm

constexpr float_denorm_style std::numeric_limits< long double >::has_denorm

static constexpr

Definition at line 1858 of file limits.

## has_denorm_loss

constexpr bool std::numeric_limits< long double >::has_denorm_loss

static constexpr

Definition at line 1860 of file limits.

## has_infinity

constexpr bool std::numeric_limits< long double >::has_infinity

static constexpr

Definition at line 1855 of file limits.

## has_quiet_NaN

constexpr bool std::numeric_limits< long double >::has_quiet_NaN

static constexpr

Definition at line 1856 of file limits.

## has_signaling_NaN

constexpr bool std::numeric_limits< long double >::has_signaling_NaN

static constexpr

Definition at line 1857 of file limits.

## is_bounded

constexpr bool std::numeric_limits< long double >::is_bounded

static constexpr

Definition at line 1877 of file limits.

## is_exact

constexpr bool std::numeric_limits< long double >::is_exact

static constexpr

Definition at line 1841 of file limits.

## is_iec559

constexpr bool std::numeric_limits< long double >::is_iec559

static constexpr

Definition at line 1875 of file limits.

## is_integer

constexpr bool std::numeric_limits< long double >::is_integer

static constexpr

Definition at line 1840 of file limits.

## is_modulo

constexpr bool std::numeric_limits< long double >::is_modulo

static constexpr

Definition at line 1878 of file limits.

## is_signed

constexpr bool std::numeric_limits< long double >::is_signed

static constexpr

Definition at line 1839 of file limits.

## is_specialized

constexpr bool std::numeric_limits< long double >::is_specialized

static constexpr

Definition at line 1820 of file limits.

## max_digits10

constexpr int std::numeric_limits< long double >::max_digits10

static constexpr

Definition at line 1836 of file limits.

## max_exponent

constexpr int std::numeric_limits< long double >::max_exponent

static constexpr

Definition at line 1852 of file limits.

## max_exponent10

constexpr int std::numeric_limits< long double >::max_exponent10

static constexpr

Definition at line 1853 of file limits.

## min_exponent

constexpr int std::numeric_limits< long double >::min_exponent

static constexpr

Definition at line 1850 of file limits.

## min_exponent10

constexpr int std::numeric_limits< long double >::min_exponent10

static constexpr

Definition at line 1851 of file limits.

## radix

constexpr int std::numeric_limits< long double >::radix

static constexpr

Definition at line 1842 of file limits.

## round_style

constexpr float_round_style std::numeric_limits< long double >::round_style

static constexpr

Definition at line 1883 of file limits.

## tinyness_before

constexpr bool std::numeric_limits< long double >::tinyness_before

static constexpr

Definition at line 1881 of file limits.

## traps

constexpr bool std::numeric_limits< long double >::traps

static constexpr

Definition at line 1880 of file limits.

The documentation for this struct was generated from the following file:

- limits